$(document).ready(function() {
    cargarHandheld();
});



function cargarHandheld() {
    $.ajax({
        type: 'post',
        url: 'handheldCargar-ajax.php',
        success: function(data) {
            $("#tableContent").html(data).fadeIn('slow');
            jQuery('#tablaHandheld').DataTable({
                responsive: true
            });
        },
        error: function(msg) {
            alert('No se pudo cargar la información');
        },
        complete: function() {
        }
    })

}

function solicitaRecuperar(par1) {
    $.ajax({
        type: 'post',
        url: 'funcionariosRecuperar-ajax.php',
        data:{
            par1 : par1
        },
        success: function(data) {
            $("#div_modal_funcionario").html(data).fadeIn('slow');
            rutDarFormato();
            $('#md_modal_funcionario').modal('show');

        }
    })

}

function guardarFuncionario() {
    $.ajax({
        type: 'post',
        url: 'funcionariosGuardar-ajax.php',
        dataType: 'json',
        beforeSend: function() {
            mostrar_blockUI();
        },
        async: false,
        data: $("#frm_funcionario").serialize(),
        success: function(msg) {
            if (msg.success) {
                $('#md_modal_funcionario').modal('hide');
                modalMensajeMostrar( 'Guardar funcionario', msg.mensaje, cargarFuncionarios);
            } else {
                modalMensajeMostrar( 'Guardar funcionario', msg.mensaje);
            }
        },
        error: function(msg) {
            modalMensajeMostrar( 'Error', 'No se pudo cargar la información' );
        },
        complete: function() {
            ocultar_blockUI();
        }
    });

}


function funcionarioEliminarConfirmar(par1, par2) {
    modalConfirmarMostrar('Eliminación de un funcionario', '¿Está seguro de eliminar al funcionario <b>' + par2 + '</b>?', 
                            funcionarioEliminar, par1, 'Eliminar', 'picons-thin-icon-thin-0018_office_trash_bin');
}

function funcionarioEliminar() {
    var v_par1 = $('#md_modal_confirmar_txt_id').val();
    $.ajax({
        type: 'post',
        url: 'funcionariosEliminar-ajax.php',
        data: {
            par1: v_par1
        },
        dataType: 'json',
        beforeSend: function() {
            mostrar_blockUI();
        },
        success: function(msg) {
            if (msg.success) {
                $('#md_modal_confirmar').modal('hide');
                modalMensajeMostrar( 'Eliminación de un funcionario', msg.mensaje, cargarFuncionarios);
            } else {
                modalMensajeMostrar( 'Eliminación de un funcionario', msg.mensaje);
            }
        },
        error: function(msg) {
            $('#md_modal_confirmar_lbl_mensaje').text('No se pudo eliminar al funcionario');
        },
        complete: function() {
            ocultar_blockUI();			
        }
    });
}


